Bug 192188 - Missing BuildPrereq on libselinux-devel
Missing BuildPrereq on libselinux-devel
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: libuser (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 04:55 EDT by Felipe Alfaro Solana
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 18:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felipe Alfaro Solana 2006-05-18 04:55:27 EDT
Description of problem:
The .spec file for libuser misses BuildPrereq: linselinux-devel.

Version-Release number of selected component (if applicable):
0.52.5-1.el4.1

How reproducible:
Always

Steps to Reproduce:
1. rpm -e libselinux-devel
2. rpmbuild --rebuild libuser-0.52.5-1.el4.1.src.rpm
3. echo $?
  
Actual results:
Build failure if libselinux-devel is not installed.

Expected results:
rpmbuild shouldn't allow building of libuser if libselinux-devel is not installed.

Additional info:
Comment 1 Miloslav Trmač 2006-05-18 18:41:34 EDT
This is already fixed in Fedora Core since FC 4 and will therefore be fixed in
RHEL 5.  I have also commited the fix for RHEL 4, to be included with an libuser
erratum, if there will be one for other reasons.

Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.